Skip to main content

Send Modify REST API Endpoint

Loading...

Updated on
Feb 27, 2026

Send Modify REST API Endpoint

Parameters

Body Parameters

action
object
REQUIRED
Loading...
type
string
Loading...
modifies
array
Loading...
oid
integer
Loading...
order
object
Loading...
a
integer
Loading...
b
boolean
Loading...
p
string
Loading...
s
string
Loading...
r
boolean
Loading...
t
object
Loading...
limit
object
Loading...
tif
string
Loading...
nonce
integer
REQUIRED
Loading...
signature
object
REQUIRED
Loading...
r
string
Loading...
s
string
Loading...
v
integer
Loading...
vaultAddress
string
Loading...
expiresAfter
integer
Loading...

Returns

success
boolean
Loading...
user
string
Loading...
exchangeResponse
object
Loading...
Request
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "batchModify",
6
"modifies": [
7
{
8
"oid": 123456789,
9
"order": {
10
"a": 0,
11
"b": true,
12
"p": "101000",
13
"s": "0.002",
14
"r": false,
15
"t": {"limit": {"tif": "Gtc"}}
16
}
17
}
18
]
19
},
20
"nonce": 1234567890,
21
"signature": {
22
"r": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
23
"s": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
24
"v": 28
25
}
26
}'
27
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "batchModify",
6
"modifies": [
7
{
8
"oid": 123456789,
9
"order": {
10
"a": 0,
11
"b": true,
12
"p": "101000",
13
"s": "0.002",
14
"r": false,
15
"t": {"limit": {"tif": "Gtc"}}
16
}
17
}
18
]
19
},
20
"nonce": 1234567890,
21
"signature": {
22
"r": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
23
"s": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
24
"v": 28
25
}
26
}'
27
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free